CentOS 4/5:libtiff(CESA-2010:0519)

medium Nessus プラグイン ID 47738

言語:

New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモート CentOS ホストに1つ以上のセキュリティ更新がありません。

説明

複数のセキュリティ問題を修正する更新済みの libtiff パッケージが、 Red Hat Enterprise Linux 4 および 5 で現在利用可能です。

Red Hat セキュリティレスポンスチームは、この更新には重大なセキュリティ上の影響があると評価しています。詳細な重要度の評価を提供する Common Vulnerability Scoring System (CVSS)のベーススコアが、「参照」セクションの CVE リンクの各脆弱性に対して利用可能です。

libtiff パッケージには、Tagged Image File Format(TIFF)ファイルを操作するための関数のライブラリが含まれます。

バッファオーバーフローを引き起こす、複数の整数オーバーフローの欠陥が libtiff に見つかりました。攻撃者がこの欠陥を利用して特別に細工された TIFF ファイルを作成し、そのファイルが開かれたときに、libtiff にリンクされたアプリケーションをクラッシュさせたり、任意のコードを実行したりする可能性があります。(CVE-2010-1411)

libtiff に複数の入力検証の欠陥が見つかりました。攻撃者がこの欠陥を利用して特別に細工された TIFF ファイルを作成し、そのファイルが開かれたときに、libtiff にリンクされたアプリケーションをクラッシュさせる可能性があります。(CVE-2010-2481、CVE-2010-2483、CVE-2010-2595、 CVE-2010-2597)

Red Hat は、CVE-2010-1411 の欠陥を報告してくれた Apple Product Security および問題を見つけてくれた digitalmunition.com の Kevin Finisterre 氏に感謝の意を表します。

すべての libtiff ユーザーは、この更新パッケージにアップグレードすることをお勧めします。ここには、この問題を解決するバックポートされたパッチが含まれます。この更新を有効にするには、 libxslt にリンクされている全ての実行アプリケーションを再起動する必要があります。

ソリューション

影響を受けた libtiff パッケージを更新してください。

関連情報

http://www.nessus.org/u?fb9f892b

http://www.nessus.org/u?cd0980bd

http://www.nessus.org/u?b3963a55

http://www.nessus.org/u?4785d6fd

プラグインの詳細

深刻度: Medium

ID: 47738

ファイル名: centos_RHSA-2010-0519.nasl

バージョン: 1.15

タイプ: local

エージェント: unix

公開日: 2010/7/16

更新日: 2021/1/4

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

脆弱性情報

CPE: p-cpe:/a:centos:centos:libtiff, p-cpe:/a:centos:centos:libtiff-devel, cpe:/o:centos:centos:4, cpe:/o:centos:centos:5

必要な KB アイテム: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2010/7/14

脆弱性公開日: 2010/6/17

参照情報

CVE: CVE-2010-1411, CVE-2010-2481, CVE-2010-2483, CVE-2010-2595, CVE-2010-2597, CVE-2010-4665

BID: 40823, 41088, 41295

RHSA: 2010:0519